/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLBaseElement_H___INT_
#define __GdomHTMLBaseElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLBaseElement.h"
G_BEGIN_DECLS
class GDOMHTMLBaseElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_BASE_ELEMENT; }
    GDOMHTMLBaseElement(PassRefPtr<WebCore::HTMLBaseElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLBaseElement_H___INT_*/
